System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

This enumeration is commonly used with the following methods of the class: , , , .

Specifies the HTML attributes that an or object writes to the opening tag of an HTML element when a Web request is processed.

- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML abbr attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML accesskey attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML align attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML alt attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML autocomplete attribute be written to the tag.

- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML axis attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML background attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML bgcolor attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML border attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML bordercolor attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML cellpadding attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML cellspacing attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML checked attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML class attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML cols attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML colspan attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML content attribute be written to the tag.

- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML coords attribute be written to the tag.

- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML designerregion attribute be written to the tag.

- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML dir attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML disabled attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML for attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML headers attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML height attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML href attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML id attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML longdesc attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML maxlength attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML multiple attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML name attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML nowrap attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML onchange attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML onclick attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML readonly attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML rel attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML rows attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML rowspan attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML rules attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML scope attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML selected attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML shape attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML size attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML src attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML style attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML tabindex attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML target attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML title attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML type attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML usemap attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML valign attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML value attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Web.UI.HtmlTextWriterAttribute

  Specifies that the HTML vcardname attribute be written to the tag.

- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML width attribute be written to the tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.HtmlTextWriterAttribute To be added

  Specifies that the HTML wrap attribute be written to the tag.

  1.0.5000.0
  2.0.0.0